package ecp.vcs.com.vcs_plugin;

import android.content.ActivityNotFoundException;
import android.content.Intent;
import android.net.Uri;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/**
 * VcsPlugin
 */
public class VcsPlugin implements MethodCallHandler {

    private static Registrar registrar;

    /**
     * Plugin registration.
     */
    public static void registerWith(Registrar _registrar) {
        registrar = _registrar;
        final MethodChannel channel = new MethodChannel(registrar.messenger(), "vcs_plugin");
        channel.setMethodCallHandler(new VcsPlugin());
    }

    @Override
    public void onMethodCall(MethodCall call, Result result) {
        if (call.method.equals("getPlatformVersion")) {
            //result.success("Android " + android.os.Build.VERSION.RELEASE);

            String urlString = "https://demo-isight.ecubix.com/pages/auth/login";
            Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse(urlString));
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
            intent.setPackage("com.android.chrome");
            try {
                registrar.activity().startActivity(intent);
            } catch (ActivityNotFoundException ex) {
                // Chrome browser presumably not installed so allow user to choose instead
                intent.setPackage(null);
                registrar.activity().startActivity(intent);
            }
        } else {
            result.notImplemented();
        }
    }
}
